<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ClusterConst.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ClusterConst.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_cluster_const_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_8h.html">eicd/Cluster.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_const_8h.html">eicd/ClusterConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_obj_8h.html">eicd/ClusterObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_data_8h.html">eicd/ClusterData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_collection_8h.html">eicd/ClusterCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">   16</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster::ConstCluster</a>() : m_obj(new <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>()) {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a89b72610e8a046c8dc417cf5ce7b6140">   20</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster::ConstCluster</a>(<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">energy</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a>, std::array&lt;float, 6&gt; <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">theta</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">phi</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a>) : m_obj(new <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>()) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">energy</a> = <a class="code" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">energy</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">position</a> = <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">positionError</a> = <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">theta</a> = <a class="code" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">theta</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">phi</a> = <a class="code" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">phi</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">directionError</a> = <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#af521efce55dc71a9297116cb11dd223f">   30</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster::ConstCluster</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;}</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a0130c5dabca753aa2a1fdf8ce9222c8b">   34</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a0130c5dabca753aa2a1fdf8ce9222c8b">ConstCluster::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other) {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;}</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ad61b1b8281e65376c269f693931ebcf1">   40</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster::ConstCluster</a>( <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#aa26e9132ee4d394f65513c47cf515090">   44</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a> <a class="code" href="classeic_1_1_const_cluster.html#aa26e9132ee4d394f65513c47cf515090">ConstCluster::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>(*m_obj)};</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#adc6346f25ae8bbef9fdd7f85b328d9d4">   48</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html#adc6346f25ae8bbef9fdd7f85b328d9d4">ConstCluster::~ConstCluster</a>() {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">   51</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">ConstCluster::energy</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">energy</a>; }</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">   52</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">ConstCluster::position</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">position</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a8e4821cfa17cda13bf6bf635284608ac">   53</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">ConstCluster::position</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">position</a>.at(i); }</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">   54</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, 6&gt;&amp; <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">ConstCluster::positionError</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">positionError</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a52a795e7d8e6c8703d38e0795fe17092">   55</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">ConstCluster::positionError</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">positionError</a>.at(i); }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">ConstCluster::theta</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">theta</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">ConstCluster::phi</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">phi</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">   58</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">ConstCluster::directionError</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">directionError</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a0da16ac5682578ef7442e8dce89c69a9">   59</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">ConstCluster::directionError</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">directionError</a>.at(i); }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ab91a53536d57e95a7c6cb2094f232f90">   63</a></span>&#160;std::vector&lt;::eic::ConstCluster&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#ab91a53536d57e95a7c6cb2094f232f90">ConstCluster::clusters_begin</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>-&gt;begin();</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">clusters_begin</a>);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;}</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a988003293b4f3c35b5dd6594a92ba146">   69</a></span>&#160;std::vector&lt;::eic::ConstCluster&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#a988003293b4f3c35b5dd6594a92ba146">ConstCluster::clusters_end</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>-&gt;begin();</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">clusters_end</a>);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;}</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">   75</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">ConstCluster::clusters_size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">clusters_end</a> - m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">clusters_begin</a>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#adfd5745fd0e76854272fee75939ea5f0">   79</a></span>&#160;<a class="code" href="classeic_1_1_const_cluster.html">::eic::ConstCluster</a> <a class="code" href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">ConstCluster::clusters</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordflow">if</span> (<a class="code" href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">clusters_size</a>() &gt; index) {</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>-&gt;at(m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">clusters_begin</a> + index);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  }</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordflow">throw</span> std::out_of_range(<span class="stringliteral">&quot;index out of bounds for existing references&quot;</span>);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;}</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">   86</a></span>&#160;podio::RelationRange&lt;::eic::ConstCluster&gt; <a class="code" href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">ConstCluster::clusters</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keyword">auto</span> begin = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>-&gt;begin();</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  std::advance(begin, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">clusters_begin</a>);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keyword">auto</span> end = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>-&gt;begin();</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  std::advance(end, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">clusters_end</a>);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordflow">return</span> {begin, end};</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;}</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ab4ff1f00849adf3dee05a75f47036073">   95</a></span>&#160;std::vector&lt;::eic::ConstCalorimeterHit&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#ab4ff1f00849adf3dee05a75f47036073">ConstCluster::hits_begin</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>-&gt;begin();</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">hits_begin</a>);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;}</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a6548e04866e7bed844182529e12ac948">  101</a></span>&#160;std::vector&lt;::eic::ConstCalorimeterHit&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#a6548e04866e7bed844182529e12ac948">ConstCluster::hits_end</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>-&gt;begin();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">hits_end</a>);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">  107</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">ConstCluster::hits_size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">hits_end</a> - m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">hits_begin</a>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;}</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a45ad4e0958aeafef98c0c6ec6005be37">  111</a></span>&#160;<a class="code" href="classeic_1_1_const_calorimeter_hit.html">::eic::ConstCalorimeterHit</a> <a class="code" href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">ConstCluster::hits</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keywordflow">if</span> (<a class="code" href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">hits_size</a>() &gt; index) {</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>-&gt;at(m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">hits_begin</a> + index);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  }</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <span class="keywordflow">throw</span> std::out_of_range(<span class="stringliteral">&quot;index out of bounds for existing references&quot;</span>);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;}</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">  118</a></span>&#160;podio::RelationRange&lt;::eic::ConstCalorimeterHit&gt; <a class="code" href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">ConstCluster::hits</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keyword">auto</span> begin = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>-&gt;begin();</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  std::advance(begin, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">hits_begin</a>);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keyword">auto</span> end = m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>-&gt;begin();</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  std::advance(end, m_obj-&gt;<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>.<a class="code" href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">hits_end</a>);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordflow">return</span> {begin, end};</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;}</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a4ca31087b9474e68534cecc8079904a5">  130</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_cluster.html#a4ca31087b9474e68534cecc8079904a5">ConstCluster::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  }</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">  137</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">ConstCluster::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  }</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;}</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a12774ce13f373277b7a4eaa472bcb24f">  144</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">ConstCluster::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;}</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="ttc" id="classeic_1_1_cluster_data_html_a91805d7178017473d44cc8b4cee6c064"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">eic::ClusterData::clusters_begin</a></div><div class="ttdeci">unsigned int clusters_begin</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00024">ClusterData.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html"><div class="ttname"><a href="classeic_1_1_cluster_obj.html">eic::ClusterObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00021">ClusterObj.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a983c8dcfc28d5826e73c4d59f5532893"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">eic::ClusterData::hits_begin</a></div><div class="ttdeci">unsigned int hits_begin</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00026">ClusterData.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a7663b81d02b0413718bd441d078ba03a"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">eic::ClusterData::positionError</a></div><div class="ttdeci">std::array&lt; float, 6 &gt; positionError</div><div class="ttdoc">Covariance matrix of the position (6 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00019">ClusterData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a3c05cd3edd24b6804314aeedd5876bc4"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">eic::ConstCluster::positionError</a></div><div class="ttdeci">const std::array&lt; float, 6 &gt; &amp; positionError() const</div><div class="ttdoc">Access the Covariance matrix of the position (6 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00054">ClusterConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_a6a04b005f284ed414183a694e9eaf94e"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">eic::ClusterObj::m_hits</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt; * m_hits</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00035">ClusterObj.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00029">CalorimeterHitConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_ae94839ec523383760de895822e17bf4c"><div class="ttname"><a href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">eic::ClusterData::directionError</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; directionError</div><div class="ttdoc">Covariance matrix of the direction (3 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00022">ClusterData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html"><div class="ttname"><a href="classeic_1_1_cluster.html">eic::Cluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00029">Cluster.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a1150bc5e4e1e1baf260379d0788054d7"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">eic::ConstCluster::clusters_size</a></div><div class="ttdeci">unsigned int clusters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00075">ClusterConst.cc:75</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a4ca31087b9474e68534cecc8079904a5"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a4ca31087b9474e68534cecc8079904a5">eic::ConstCluster::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00130">ClusterConst.cc:130</a></div></div>
<div class="ttc" id="_cluster_data_8h_html"><div class="ttname"><a href="_cluster_data_8h.html">ClusterData.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ade2f597b20a40afe2a3b33a53d139138"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">eic::ConstCluster::hits</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstCalorimeterHit &gt; hits() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00118">ClusterConst.cc:118</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a4f3c6ff7a35997ba91fc516c9340df96"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">eic::ConstCluster::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Intrinsic direction of cluster at position - Phi. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00057">ClusterConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ac303c6215e6d5a43c172ec29a6cdeb74"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">eic::ConstCluster::operator==</a></div><div class="ttdeci">bool operator==(const ConstCluster &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00096">ClusterConst.h:96</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a6548e04866e7bed844182529e12ac948"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a6548e04866e7bed844182529e12ac948">eic::ConstCluster::hits_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt;::const_iterator hits_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00101">ClusterConst.cc:101</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a70192afa134440272ee7f0acf25cb88f"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">eic::ConstCluster::theta</a></div><div class="ttdeci">const float &amp; theta() const</div><div class="ttdoc">Access the Intrinsic direction of cluster at position - Theta. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00056">ClusterConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a3d96f2e954b1d8f0af65a89301adb75d"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">eic::ConstCluster::ConstCluster</a></div><div class="ttdeci">ConstCluster()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00016">ClusterConst.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a57cafd5ffd0789d57d5952109c63d134"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">eic::ClusterData::theta</a></div><div class="ttdeci">float theta</div><div class="ttdoc">Intrinsic direction of cluster at position - Theta. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00020">ClusterData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a8bc333749f874dd923659dfeb9688fa4"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">eic::ClusterData::position</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; position</div><div class="ttdoc">Position of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00018">ClusterData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a262e9f94006e1a8b9496180d6232286e"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">eic::ClusterData::clusters_end</a></div><div class="ttdeci">unsigned int clusters_end</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00025">ClusterData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a207ee0f008fdb43732235b63415948fd"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">eic::ConstCluster::energy</a></div><div class="ttdeci">const float &amp; energy() const</div><div class="ttdoc">Access the Energy of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00051">ClusterConst.cc:51</a></div></div>
<div class="ttc" id="_cluster_const_8h_html"><div class="ttname"><a href="_cluster_const_8h.html">ClusterConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_ac7822ae895bceec8bfeaa7837dc41264"><div class="ttname"><a href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">eic::ClusterData::hits_end</a></div><div class="ttdeci">unsigned int hits_end</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00027">ClusterData.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_adc6346f25ae8bbef9fdd7f85b328d9d4"><div class="ttname"><a href="classeic_1_1_const_cluster.html#adc6346f25ae8bbef9fdd7f85b328d9d4">eic::ConstCluster::~ConstCluster</a></div><div class="ttdeci">~ConstCluster()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00048">ClusterConst.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_a40fef3c2f9b08388af5e1ef8325e2595"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">eic::ClusterObj::data</a></div><div class="ttdeci">ClusterData data</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00033">ClusterObj.h:33</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html"><div class="ttname"><a href="classeic_1_1_const_cluster.html">eic::ConstCluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00027">ClusterConst.h:27</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_ab62ae69ad6fec6b43e838039acbae3e6"><div class="ttname"><a href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">eic::ClusterData::phi</a></div><div class="ttdeci">float phi</div><div class="ttdoc">Intrinsic direction of cluster at position - Phi. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00021">ClusterData.h:21</a></div></div>
<div class="ttc" id="_cluster_collection_8h_html"><div class="ttname"><a href="_cluster_collection_8h.html">ClusterCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_aab30fa33cb765e4aa0f3540b308234a5"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">eic::ClusterObj::m_clusters</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt; * m_clusters</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00034">ClusterObj.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a988003293b4f3c35b5dd6594a92ba146"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a988003293b4f3c35b5dd6594a92ba146">eic::ConstCluster::clusters_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt;::const_iterator clusters_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00069">ClusterConst.cc:69</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a0130c5dabca753aa2a1fdf8ce9222c8b"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a0130c5dabca753aa2a1fdf8ce9222c8b">eic::ConstCluster::operator=</a></div><div class="ttdeci">ConstCluster &amp; operator=(const ConstCluster &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00034">ClusterConst.cc:34</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ab4ff1f00849adf3dee05a75f47036073"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ab4ff1f00849adf3dee05a75f47036073">eic::ConstCluster::hits_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt;::const_iterator hits_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00095">ClusterConst.cc:95</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_addc4c3a99fde593040f699d6ea583d62"><div class="ttname"><a href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">eic::ClusterData::energy</a></div><div class="ttdeci">float energy</div><div class="ttdoc">Energy of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00017">ClusterData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ab91a53536d57e95a7c6cb2094f232f90"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ab91a53536d57e95a7c6cb2094f232f90">eic::ConstCluster::clusters_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt;::const_iterator clusters_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00063">ClusterConst.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_aba7f1304402caeda4b15bdb243904ad7"><div class="ttname"><a href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">eic::ConstCluster::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00137">ClusterConst.cc:137</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a7161ea9a78d73e88f46ec412c389c1e4"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">eic::ConstCluster::hits_size</a></div><div class="ttdeci">unsigned int hits_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00107">ClusterConst.cc:107</a></div></div>
<div class="ttc" id="_cluster_8h_html"><div class="ttname"><a href="_cluster_8h.html">Cluster.h</a></div></div>
<div class="ttc" id="_cluster_obj_8h_html"><div class="ttname"><a href="_cluster_obj_8h.html">ClusterObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a818444afd32959418598e3ec8b576f75"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">eic::ConstCluster::clusters</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstCluster &gt; clusters() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00086">ClusterConst.cc:86</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ac0596d92806b3e10fd5520ab34cd215e"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">eic::ConstCluster::directionError</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; directionError() const</div><div class="ttdoc">Access the Covariance matrix of the direction (3 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00058">ClusterConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_aa26e9132ee4d394f65513c47cf515090"><div class="ttname"><a href="classeic_1_1_const_cluster.html#aa26e9132ee4d394f65513c47cf515090">eic::ConstCluster::clone</a></div><div class="ttdeci">ConstCluster clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00044">ClusterConst.cc:44</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_affb2b5a9c511922b51db5945f67988bf"><div class="ttname"><a href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">eic::ConstCluster::position</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the Position of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00052">ClusterConst.cc:52</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
